=begin
= Special Functions

Ruby/GSL provides all the GSL special functions as module functions
which are named as the same of the C functions. For example, to compute the Bessel 
function ((|J0(x)|)), one may invoke the ((|gsl_sf_bessel_J0|)) function,

   require 'gsl' 
  
   x = 1.0
   p gsl_sf_bessel_J0(x)      <---- "full" name

Alternatively, including the module GSL_Sf, 

   require 'gsl'
   include GSL_Sf

   p bessel_J0(x)             <---- withoug the predix "gsl_sf"

See GSL manual for the complete list of the special functions. 

=end
