#!/usr/bin/ruby
require 'gsl'
include Math

f = GSL_Function::new{ |x|
  x*x
}

p f.integration_qng(0.0, 2.0, 0.0, 1.0e-7)
p f.integration_qag(0.0, 2.0, 0.0, 1.0e-7, 1, 1000)
p f.integration_qags(0.0, 2.0, 0.0, 1.0e-7, 1000)

f2 = GSL_Function.new { |x|
  exp(-x*x*0.5)
}

a, = f2.integration_qagi(0.0, 1.0e-7, 1000)

t = GSL_integration_qaws_table.new(4, 5, 1, 0)
t.set([7.0, 2.0, 0, 1])
p t.to_a

p [34, 5, 0, 1].to_gsl_integration_qaws_table
a = t.to_a
p a

f3 = GSL_Function.new { |x|
  log(x)/sqrt(x)
}

p f3.integration_qags(0, 1, 0, 1e-7, 1000)

aa = GSL_integration_qawo_table.new(3.0, 4.0, GSL_INTEG_SINE, 9)
aa.set_length(123)
p aa.to_a
