#!/usr/bin/ruby
require 'narray'
require 'gsl'

m = GSL_Matrix.new([1, 2, 3, 4, 5, 6, 7, 8, 9], 3, 3)
na = m.to_na
p na
m2 = GSL_Matrix.to_gm(na)
p m2

__END__

#m.set([6,5, 6], [4, 5,7], [8, 5, 21])
#m.print

m.set_col(1, [12, 3, 55].to_gv)
#m.print

m2 = m.transpose!
m.print
m2.print

#m.swap_rows!(1, 2)
#m.print 

__END__

v = m.col(0)
p v.to_a

p m.diagonal.to_a

__END__

m = GSL_Matrix.new([1, 2, 3], [6, 5, 4], [7, 8, 1])
p m.get(1, 2)
m.print

m.gsl_linalg_LU_decomp
m.print

__END__

m = GSL_Matrix.new(5, 5)

for i in 0...5 do
  for j in 0...5 do
    val = 0.5*(i+0.4)*(j+1.2)
    m.set(i, j, val)
  end
end

m.print

m2 = m.submatrix(1, 2, 2, 3)
m2.print

